## mplayer-33713.tar.xz

=== ffmpeg/Makefile ===
include config.mak

SRC_DIR = $(SRC_PATH_BARE)

vpath %.c   $(SRC_DIR)
vpath %.h   $(SRC_DIR)
vpath %.S   $(SRC_DIR)
vpath %.asm $(SRC_DIR)
vpath %.v   $(SRC_DIR)
vpath %.texi $(SRC_PATH_BARE)

PROGS-$(CONFIG_FFMPEG)   += ffmpeg
PROGS-$(CONFIG_FFPLAY)   += ffplay
PROGS-$(CONFIG_FFPROBE)  += ffprobe
PROGS-$(CONFIG_FFSERVER) += ffserver

PROGS      := $(PROGS-yes:%=%$(EXESUF))
PROGS_G     = $(PROGS-yes:%=%_g$(EXESUF))
OBJS        = $(PROGS-yes:%=%.o) cmdutils.o
TOOLS       = $(addprefix tools/, $(addsuffix $(EXESUF), cws2fws graph2dot lavfi-showfiltfmts pktdumper probetest qt-faststart trasher))
TESTTOOLS   = audiogen videogen rotozoom tiny_psnr base64
HOSTPROGS  := $(TESTTOOLS:%=tests/%)

BASENAMES   = ffmpeg ffplay ffprobe ffserver
ALLPROGS    = $(BASENAMES:%=%$(EXESUF))
ALLPROGS_G  = $(BASENAMES:%=%_g$(EXESUF))
ALLMANPAGES = $(BASENAMES:%=%.1)

ALLFFLIBS = avcodec avdevice avfilter avformat avutil postproc swscale

FFLIBS-$(CONFIG_AVDEVICE) += avdevice
FFLIBS-$(CONFIG_AVFILTER) += avfilter
FFLIBS-$(CONFIG_AVFORMAT) += avformat
FFLIBS-$(CONFIG_AVCODEC)  += avcodec
FFLIBS-$(CONFIG_POSTPROC) += postproc
FFLIBS-$(CONFIG_SWSCALE)  += swscale

FFLIBS := avutil

DATA_FILES := $(wildcard $(SRC_DIR)/ffpresets/*.ffpreset)

SKIPHEADERS = cmdutils_common_opts.h

include common.mak

FF_LDFLAGS   := $(FFLDFLAGS)
FF_EXTRALIBS := $(FFEXTRALIBS)
FF_DEP_LIBS  := $(DEP_LIBS)

all: $(FF_DEP_LIBS) $(PROGS)

$(PROGS): %$(EXESUF): %_g$(EXESUF)
	$(CP) $< $@
	$(STRIP) $@

config.h: .config
.config: $(wildcard $(FFLIBS:%=$(SRC_DIR)/lib%/all*.c))
	@-tput bold 2>/dev/null
	@-printf '\nWARNING: $(?F) newer than config.h, rerun configure\n\n'
	@-tput sgr0 2>/dev/null

SUBDIR_VARS := OBJS FFLIBS CLEANFILES DIRS TESTPROGS EXAMPLES SKIPHEADERS \
               ALTIVEC-OBJS MMX-OBJS NEON-OBJS X86-OBJS YASM-OBJS-FFT YASM-OBJS \
               HOSTPROGS BUILT_HEADERS TESTOBJS ARCH_HEADERS ARMV6-OBJS

define RESET
$(1) :=
$(1)-yes :=
endef

define DOSUBDIR
$(foreach V,$(SUBDIR_VARS),$(eval $(call RESET,$(V))))
SUBDIR := $(1)/
include $(1)/Makefile
endef

$(foreach D,$(FFLIBS),$(eval $(call DOSUBDIR,lib$(D))))

ffplay.o: CFLAGS += $(SDL_CFLAGS)
ffplay_g$(EXESUF): FF_EXTRALIBS += $(SDL_LIBS)
ffserver_g$(EXESUF): FF_LDFLAGS += $(FFSERVERLDFLAGS)

%_g$(EXESUF): %.o cmdutils.o $(FF_DEP_LIBS)
	$(LD) $(FF_LDFLAGS) -o $@ $< cmdutils.o $(FF_EXTRALIBS)

alltools: $(TOOLS)

tools/%$(EXESUF): tools/%.o
	$(LD) $(FF_LDFLAGS) -o $@ $< $(FF_EXTRALIBS)

tools/%.o: tools/%.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -c $(CC_O) $<

-include $(wildcard tools/*.d)

VERSION_SH  = $(SRC_PATH_BARE)/version.sh
GIT_LOG     = $(SRC_PATH_BARE)/.git/logs/HEAD

.version: $(wildcard $(GIT_LOG)) $(VERSION_SH) config.mak
.version: M=@

version.h .version:
	$(M)$(VERSION_SH) $(SRC_PATH) version.h $(EXTRA_VERSION)
	$(Q)touch .version

# force version.sh to run whenever version might have changed
-include .version

ifdef PROGS
install: install-progs install-data
endif

install: install-libs install-headers

install-libs: install-libs-yes

install-progs-yes:
install-progs-$(CONFIG_SHARED): install-libs

install-progs: install-progs-yes $(PROGS)
	$(Q)mkdir -p "$(BINDIR)"
	$(INSTALL) -c -m 755 $(PROGS) "$(BINDIR)"

install-data: $(DATA_FILES)
	$(Q)mkdir -p "$(DATADIR)"
	$(INSTALL) -m 644 $(DATA_FILES) "$(DATADIR)"

uninstall: uninstall-libs uninstall-headers uninstall-progs uninstall-data

uninstall-progs:
	$(RM) $(addprefix "$(BINDIR)/", $(ALLPROGS))

uninstall-data:
	$(RM) -r "$(DATADIR)"

clean::
	$(RM) $(ALLPROGS) $(ALLPROGS_G)
	$(RM) $(CLEANSUFFIXES)
	$(RM) $(TOOLS)
	$(RM) $(CLEANSUFFIXES:%=tools/%)

distclean::
	$(RM) $(DISTCLEANSUFFIXES)
	$(RM) config.* .version version.h libavutil/avconfig.h

config:
	$(SRC_PATH)/configure $(value FFMPEG_CONFIGURATION)

check: test

include doc/Makefile
include tests/Makefile

.PHONY: all alltools *clean check config examples install*
.PHONY: testprogs uninstall*

=== ffmpeg/libswscale/Makefile ===
include $(SUBDIR)../config.mak

NAME = swscale
FFLIBS = avutil

HEADERS = swscale.h

OBJS = options.o rgb2rgb.o swscale.o utils.o yuv2rgb.o \
       swscale_unscaled.o

OBJS-$(ARCH_BFIN)          +=  bfin/internal_bfin.o     \
                               bfin/swscale_bfin.o      \
                               bfin/yuv2rgb_bfin.o
OBJS-$(CONFIG_MLIB)        +=  mlib/yuv2rgb_mlib.o
OBJS-$(HAVE_ALTIVEC)       +=  ppc/swscale_altivec.o    \
                               ppc/yuv2rgb_altivec.o    \
                               ppc/yuv2yuv_altivec.o
OBJS-$(HAVE_MMX)           +=  x86/rgb2rgb.o            \
                               x86/swscale_mmx.o        \
                               x86/yuv2rgb_mmx.o
OBJS-$(HAVE_VIS)           +=  sparc/yuv2rgb_vis.o

TESTPROGS = colorspace swscale

DIRS = bfin mlib ppc sparc x86

include $(SUBDIR)../subdir.mak

=== ffmpeg/doc/examples/Makefile ===
# use pkg-config for getting CFLAGS abd LDFLAGS
FFMPEG_LIBS=libavdevice libavformat libavfilter libavcodec libswscale libavutil
CFLAGS+=$(shell pkg-config  --cflags $(FFMPEG_LIBS))
LDFLAGS+=$(shell pkg-config --libs $(FFMPEG_LIBS))

EXAMPLES=encoding-example muxing-example

OBJS=$(addsuffix .o,$(EXAMPLES))

%: %.o
	$(CC) $< $(LDFLAGS) -o $@

%.o: %.c
	$(CC) $< $(CFLAGS) -c -o $@

.phony: all clean

all: $(OBJS) $(EXAMPLES)

clean:
	rm -rf $(EXAMPLES) $(OBJS)

=== ffmpeg/libavcodec/x86/Makefile ===
OBJS-$(CONFIG_MLP_DECODER)             += x86/mlpdsp.o
OBJS-$(CONFIG_TRUEHD_DECODER)          += x86/mlpdsp.o

YASM-OBJS-$(CONFIG_DCT)                += x86/dct32_sse.o

YASM-OBJS-FFT-$(HAVE_AMD3DNOW)         += x86/fft_3dn.o
YASM-OBJS-FFT-$(HAVE_AMD3DNOWEXT)      += x86/fft_3dn2.o
YASM-OBJS-FFT-$(HAVE_SSE)              += x86/fft_sse.o
YASM-OBJS-$(CONFIG_FFT)                += x86/fft_mmx.o                 \
                                          $(YASM-OBJS-FFT-yes)

MMX-OBJS-$(CONFIG_H264DSP)             += x86/h264dsp_mmx.o
YASM-OBJS-$(CONFIG_H264DSP)            += x86/h264_deblock.o            \
                                          x86/h264_deblock_10bit.o      \
                                          x86/h264_idct.o               \
                                          x86/h264_idct_10bit.o         \
                                          x86/h264_weight.o             \
                                          x86/h264_weight_10bit.o       \

YASM-OBJS-$(CONFIG_H264PRED)           += x86/h264_intrapred.o          \
                                          x86/h264_intrapred_10bit.o
MMX-OBJS-$(CONFIG_H264PRED)            += x86/h264_intrapred_init.o

YASM-OBJS-$(CONFIG_VC1_DECODER)        += x86/vc1dsp_yasm.o

MMX-OBJS-$(CONFIG_AC3DSP)              += x86/ac3dsp_mmx.o
YASM-OBJS-$(CONFIG_AC3DSP)             += x86/ac3dsp.o
MMX-OBJS-$(CONFIG_CAVS_DECODER)        += x86/cavsdsp_mmx.o
MMX-OBJS-$(CONFIG_MPEGAUDIODSP)        += x86/mpegaudiodec_mmx.o
MMX-OBJS-$(CONFIG_PNG_DECODER)         += x86/png_mmx.o
MMX-OBJS-$(CONFIG_ENCODERS)            += x86/dsputilenc_mmx.o
YASM-OBJS-$(CONFIG_ENCODERS)           += x86/dsputilenc_yasm.o
MMX-OBJS-$(CONFIG_GPL)                 += x86/idct_mmx.o
MMX-OBJS-$(CONFIG_LPC)                 += x86/lpc_mmx.o
MMX-OBJS-$(CONFIG_DWT)                 += x86/snowdsp_mmx.o
MMX-OBJS-$(CONFIG_VC1_DECODER)         += x86/vc1dsp_mmx.o
YASM-OBJS-$(CONFIG_VP3_DECODER)        += x86/vp3dsp.o
YASM-OBJS-$(CONFIG_VP5_DECODER)        += x86/vp3dsp.o
MMX-OBJS-$(CONFIG_VP5_DECODER)         += x86/vp56dsp_init.o
YASM-OBJS-$(CONFIG_VP6_DECODER)        += x86/vp3dsp.o                  \
                                          x86/vp56dsp.o
MMX-OBJS-$(CONFIG_VP6_DECODER)         += x86/vp56dsp_init.o
YASM-OBJS-$(CONFIG_VP8_DECODER)        += x86/vp8dsp.o
MMX-OBJS-$(CONFIG_VP8_DECODER)         += x86/vp8dsp-init.o
MMX-OBJS-$(HAVE_YASM)                  += x86/dsputil_yasm.o            \
                                          x86/deinterlace.o             \
                                          x86/fmtconvert.o              \
                                          x86/h264_chromamc.o           \
                                          x86/h264_chromamc_10bit.o     \
                                          $(YASM-OBJS-yes)

MMX-OBJS-$(CONFIG_FFT)                 += x86/fft.o

OBJS-$(HAVE_MMX)                       += x86/dnxhd_mmx.o               \
                                          x86/dsputil_mmx.o             \
                                          x86/fdct_mmx.o                \
                                          x86/fmtconvert_mmx.o          \
                                          x86/idct_mmx_xvid.o           \
                                          x86/idct_sse2_xvid.o          \
                                          x86/motion_est_mmx.o          \
                                          x86/mpegvideo_mmx.o           \
                                          x86/simple_idct_mmx.o         \

=== debian/control ===
Source: mplayer
Section: video
Priority: optional
Maintainer: The Mplayer Developers <mplayer-dev-eng@mplayerhq.hu>
DM-Upload-Allowed: yes
Standards-Version: 3.9.1
Homepage: http://www.mplayerhq.hu/
Build-Depends: debhelper (>= 7),
               docbook-xml,
               docbook-xsl,
               ladspa-sdk,
               libenca-dev,
               libaa1-dev,
               libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               libaudio-dev,
               libcaca-dev,
               libcdparanoia-dev | libcdparanoia0-dev,
               libbluray-dev,
               libdirectfb-dev,
               libdts-dev,
               libesd0-dev,
               libfaad-dev,
               libfontconfig1-dev,
               libfreetype6-dev,
               libfribidi-dev,
               libgif-dev,
               libgl1-mesa-dev,
               libgtk2.0-dev,
               libjack-dev,
               libjpeg62-dev,
               liblircclient-dev,
               liblivemedia-dev,
               liblzo2-dev,
               libmp3lame-dev,
               libmpcdec-dev,
               libncurses5-dev,
               libopenal-dev,
               libpng12-dev | libpng-dev,
               libpulse-dev,
               libschroedinger-dev,
               libsdl1.2-dev | libsdl1.1-dev,
               libsmbclient-dev,
               libspeex-dev,
               libsvga1-dev [i386 amd64],
               libswscale-dev,
               libtheora-dev (>= 1.0~beta1),
               libvorbis-dev,
               libvorbisidec-dev,
               libx11-dev,
               libx264-dev (>= 2:0.115~),
               libxext-dev,
               libxinerama-dev,
               libxv-dev,
               libxvidcore-dev,
               libxvmc-dev,
               libxxf86dga-dev,
               libxxf86vm-dev,
               libvdpau-dev [i386 amd64],
               pkg-config,
               vstream-client-dev,
               x11proto-core-dev,
               xsltproc,
               yasm [i386 amd64],
               zlib1g-dev

Package: mplayer-gui
Architecture: any
Suggests: mplayer-doc,
          ttf-freefont,
          bzip2,
          fontconfig
Depends: mplayer-skin,
         mplayer,
         ${shlibs:Depends},
         ${misc:Depends}
Replaces: mplayer-doc (<< 2:1.0~rc3+svn20090426-2),
          mplayer (<< 2:1.0~rc3+svn20090426-2)
Description: movie player for Unix-like systems
 MPlayer plays most MPEG, VOB, AVI, Ogg/OGM, VIVO,
 ASF/WMA/WMV, QT/MOV/MP4, FLI, RM, NuppelVideo, yuv4mpeg, FILM, RoQ, PVA files,
 supported by many native, XAnim, RealPlayer, and Win32 DLL codecs. It can
 also play VideoCD, SVCD, DVD, 3ivx, RealMedia, and DivX movies.
 .
 Another big feature of MPlayer is the wide range of supported output
 drivers. It works with X11, Xv, DGA, OpenGL, SVGAlib, fbdev,
 DirectFB, but also SDL (plus all its drivers) and some
 low level card-specific drivers (for Matrox, 3Dfx and Radeon, Mach64
 and Permedia3). Most of them support software or hardware scaling,
 therefore allowing fullscreen display.  MPlayer is also able
 to use some hardware MPEG decoder boards, such as the DVB
 and DXR3/Hollywood+.
 .
 This package includes the gui variant of mplayer.

Package: mencoder
Architecture: any
Suggests: mplayer-doc,
          ttf-freefont,
          bzip2,
          fontconfig
Depends: mplayer,
         ${shlibs:Depends},
         ${misc:Depends}
Description: MPlayer's Movie Encoder
 MPlayer plays most MPEG, VOB, AVI, Ogg/OGM, VIVO,
 ASF/WMA/WMV, QT/MOV/MP4, FLI, RM, NuppelVideo, yuv4mpeg, FILM, RoQ, PVA files,
 supported by many native, XAnim, RealPlayer, and Win32 DLL codecs. It can
 also play VideoCD, SVCD, DVD, 3ivx, RealMedia, and DivX movies.
 .
 This package contains menconder, a simple movie encoder, designed to
 encode MPlayer-playable movies
 (AVI/ASF/OGG/DVD/VCD/VOB/MPG/MOV/VIV/FLI/RM/NUV/NET) to other
 MPlayer-playable formats. It can encode with various codecs, like DivX4
 (1 or 2 passes), libavcodec, PCM/MP3/VBRMP3 audio. Also has stream
 copying and video resizing abilities.

Package: mplayer
Architecture: any
Suggests: mplayer-doc,
          ttf-freefont,
          netselect | fping,
          bzip2,
          fontconfig
Depends: ${shlibs:Depends},
         ${misc:Depends}
Replaces: mplayer-doc (<< 2:1.0~rc3+svn20090426-2),
          mplayer-nogui (<< 2:1.0~rc3+svn20090426-2),
          mencoder (<< 2:1.0~rc3+svn20090426-2)
Description: movie player for Unix-like systems
 MPlayer plays most MPEG, VOB, AVI, Ogg/OGM, VIVO,
 ASF/WMA/WMV, QT/MOV/MP4, FLI, RM, NuppelVideo, yuv4mpeg, FILM, RoQ, PVA files,
 supported by many native, XAnim, RealPlayer, and Win32 DLL codecs. It can
 also play VideoCD, SVCD, DVD, 3ivx, RealMedia, and DivX movies.
 .
 Another big feature of MPlayer is the wide range of supported output
 drivers. It works with X11, Xv, DGA, OpenGL, SVGAlib, fbdev,
 DirectFB, but also SDL (plus all its drivers) and some
 low level card-specific drivers (for Matrox, 3Dfx and Radeon, Mach64
 and Permedia3). Most of them support software or hardware scaling,
 therefore allowing fullscreen display.  MPlayer is also able
 to use some hardware MPEG decoder boards, such as the DVB
 and DXR3/Hollywood+.
 .
 Not all of the upstream code is distributed in the source tarball.
 See the README.Debian and copyright files for details.

Package: mplayer-dbg
Architecture: any
Section: debug
Priority: extra
Depends: mplayer,
         ${misc:Depends}
Recommends: ffmpeg-dbg
Description: debugging symbols for MPlayer
 This package contains the debugging symbols for MPlayer, a movie
 player for Unix-like systems.
 .
 You only need these if you want to generate usefule debugging
 backtraces.

Package: mplayer-doc
Architecture: all
Section: doc
Recommends: mplayer
Depends: ${misc:Depends}
Replaces: mplayer (<< 2:1.0~rc3+svn20090426-1)
Description: documentation for MPlayer
 This package contains the HTML documentation for MPlayer, a movie player for
 Unix-like systems. It is available in several languages.
 .
 You only need this package if you want to read the mplayer manual. The manpages
 are included in the regular mplayer package.
